Subject: bug#28623: 27.0.50; lisp/progmodes/cc-engine.el incorrect indentation of C++14 curly-brace initializer list

From: Tadeus Prastowo <[email-masked]>
Date: Fri, 6 Oct 2017 04:59:55 +0200

On Wed, Oct 4, 2017 at 8:15 PM, Alan Mackenzie <[email-masked]> wrote:
> Hello, Tadeus.

Hi Alan!

[...]

>> Any better suggestion as to how to fix the problem?
>
> Hey, I just love it when people diagnose and fix their own bugs,
> particularly in some of the more involved bits of CC Mode.  :-)

To make the maintainer's life easier :-)

> Just one tiny, tiny, nitpick.  in (looking-at ",\\s *"), isn't the "any
> amount of space" bit redundant, since we don't use match-end to get the
> precise position?  In fact, I'm tending towards the simpler (eq
> (char-after) ?,).

That is surely better.  Please go with that solution.

> But, as I say, that's a tiny point in a great piece of debugging.  I
> will commit this (to the Emacs-26 branch of savannah) soon (from where
> it will find its way to the master branch due to some public spirited
> person who arranges these things).

Thank you very much for your review.

> Many thanks!

No problem.  I'm glad to help.

--
Best regards,
Tadeus